org.eclipse.january.dataset

## Class InterpolatorUtils

- java.lang.Object
- - org.eclipse.january.dataset.InterpolatorUtils

-     public class InterpolatorUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpolatorUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dataset` | `regrid(Dataset data, Dataset x, Dataset y, Dataset gridX, Dataset gridY)`
    `static Dataset` | `regridOld(Dataset data, Dataset x, Dataset y, Dataset gridX, Dataset gridY)`
    `static Dataset` | `remap1D(Dataset dataset, Dataset axis, Dataset outputAxis)`
    `static Dataset` | `remapAxis(Dataset dataset, int axisIndex, Dataset originalAxisForCorrection, Dataset outputAxis)`
    `static Dataset` | `remapOneAxis(Dataset dataset, int axisIndex, Dataset corrections, Dataset originalAxisForCorrection, Dataset outputAxis)`
    `static Dataset` | `selectDatasetRegion(Dataset dataset, int x, int y, int xSize, int ySize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpolatorUtils

          public InterpolatorUtils()

  - ### Method Detail

    - #### regridOld

          public static Dataset regridOld(Dataset data,
                          Dataset x,
                          Dataset y,
                          Dataset gridX,
                          Dataset gridY)
                                   throws Exception

      Throws:
        `Exception`

    - #### selectDatasetRegion

          public static Dataset selectDatasetRegion(Dataset dataset,
                                    int x,
                                    int y,
                                    int xSize,
                                    int ySize)

    - #### remap1D

          public static Dataset remap1D(Dataset dataset,
                        Dataset axis,
                        Dataset outputAxis)

    - #### remapOneAxis

          public static Dataset remapOneAxis(Dataset dataset,
                             int axisIndex,
                             Dataset corrections,
                             Dataset originalAxisForCorrection,
                             Dataset outputAxis)

    - #### remapAxis

          public static Dataset remapAxis(Dataset dataset,
                          int axisIndex,
                          Dataset originalAxisForCorrection,
                          Dataset outputAxis)

    - #### regrid

          public static Dataset regrid(Dataset data,
                       Dataset x,
                       Dataset y,
                       Dataset gridX,
                       Dataset gridY)

Copyright © 2014–2018 Eclipse Foundation. All rights reserved.